// Jungle Software Updater Java Script for Adobe Bridge CS3. Version 1.8.2 Copyright (c) Jungle Software 2004 - 2008.

const JS_UPDATER_LOADED = true;

function JS_OnLoadDocument(event) {
 
	if(event.object.constructor.name == "Document") {
	 
		if(event.type == "loaded") { 
 
			JS_UpdateJungleSoftware(); 
			return {handled:true}; 
		} 
	} 
} 

function JS_UpdateJungleSoftware() {

	Window.alert("Jungle Software Updater" + JS_CARR_RETURN + "This script will update your Jungle Software to version 1.8.2");
	
	JS_logFile = new File(JS_LOGS_FOLDER + "/UpdaterLog.txt");
	JS_logFile.encoding = "UTF16";
	if(JS_logFile.open("write")) {
	
		JS_logFile.writeln("============= Updating Jungle Software to version 1.8.2 ==============");
		
		var JS_srcFile = new File("~/Jungle Software/Updater/JS_FinalViewBRLibrary.jsx");
		if(JS_srcFile.exists) {
									
			JS_srcFile.copy("~/Jungle Software/Library/JS_FinalViewBRLibrary.jsx");
			JS_logFile.writeln("JS_FinalViewBRLibrary.jsx copied to: ~/Jungle Software/Library");
		}
		else {
						
			JS_logFile.writeln("Jungle Software Updater can't find ~/Jungle Software/Updater/JS_FinalViewBRLibrary.jsx");
			JS_logFile.close();
			Window.alert("Jungle Software Updater" + JS_CARR_RETURN + "Can't find ~/Jungle Software/Updater/JS_FinalViewBRLibrary.jsx");
			return;
		}
		
		JS_srcFile = new File("~/Jungle Software/Updater/Export Pages ID.jsx");
		if(JS_srcFile.exists) {
									
			var JS_gateFile = new File(JS_PREFERENCES_FOLDER + "/Gate Prefs.txt");
			if(JS_gateFile.exists) {
			
				if(JS_gateFile.open("read")) {

					var JS_dstFolder = JS_gateFile.readln();
					JS_dstFolder = JS_gateFile.readln();
					JS_dstFolder = JS_GetKeyValueAsStringCS(JS_gateFile.readln());
					
					JS_srcFile.copy(JS_dstFolder + "/Export Pages ID.jsx");
					JS_srcFile.close();
					JS_logFile.writeln("Export Pages ID.jsx copied to: " + JS_dstFolder);
				}
				else {
						
					JS_logFile.writeln("Jungle Software Updater can't open ~/Jungle Software/Preferences/Gate Prefs.txt");
					JS_logFile.close();
					Window.alert("Jungle Software Updater" + JS_CARR_RETURN + "Can't open ~/Jungle Software/Preferences/Gate Prefs.txt");
					return;
				}
			}
			else {
						
				JS_logFile.writeln("Jungle Software Updater can't find ~/Jungle Software/Preferences/Gate Prefs.txt");
				JS_logFile.close();
				Window.alert("Jungle Software Updater" + JS_CARR_RETURN + "Can't find ~/Jungle Software/Preferences/Gate Prefs.txt");
				return;
			}
		}
		else {
						
			JS_logFile.writeln("Jungle Software Updater can't find ~/Jungle Software/Updater/Export Pages ID.jsx");
			JS_logFile.close();
			Window.alert("Jungle Software Updater" + JS_CARR_RETURN + "Can't find ~/Jungle Software/Updater/Export Pages ID.jsx");
			return;
		}
		
		JS_logFile.writeln("============= Updating Jungle Software complete successful ==============");
		JS_logFile.close();
		
		JS_updaterFolder = new Folder("~/Jungle Software/Updater");
		JS_updaterFileArray = JS_updaterFolder.getFiles();
		for(var JS_indexI = 0; JS_indexI < JS_updaterFileArray.length; JS_indexI++) JS_updaterFileArray[JS_indexI].remove();
		JS_updaterFolder.remove();
				
		Window.alert("Jungle Software Updater" + JS_CARR_RETURN + "Your Jungle Software is updated to version 1.8.2" + JS_CARR_RETURN + "Greetings, MORTAL... ;)");

		if(BridgeTalk.isRunning("photoshop")) photoshop.quit();
		else ;
		if(BridgeTalk.isRunning("illustrator")) illustrator.quit();
		else ;
		if(BridgeTalk.isRunning("indesign")) indesign.quit();
		else ;
		bridge.quit();
	}
	else Window.alert("Jungle Software Updater" + JS_CARR_RETURN + "Can't create UpdaterLog.txt in a " + JS_LOGS_FOLDER);
}

